import{s as ft,n as mt,o as bt}from"../chunks/scheduler.0219f8bd.js";import{S as vt,i as ht,g as d,s,r as u,A as kt,h as l,f as n,c as i,j as p,u as x,x as c,k as a,y as $t,a as o,v as f,d as m,t as b,w as v}from"../chunks/index.f61edf3b.js";import{C as Tt}from"../chunks/CodeBlock.38e566ae.js";import{H as V,E as _t}from"../chunks/EditOnGithub.48fa589f.js";function yt(Ye){let r,ee,G,te,h,ne,k,oe,$,Ve=`Handler file for choosing the correct version of ONNX Runtime, based on the environment.
Ideally, we could import the <code>onnxruntime-web</code> and <code>onnxruntime-node</code> packages only when needed,
but dynamic imports don’t seem to work with the current webpack version and/or configuration.
This is possibly due to the experimental nature of top-level await statements.
So, we just import both packages, and use the appropriate one based on the environment:`,se,T,Ge="<li>When running in node, we use <code>onnxruntime-node</code>.</li> <li>When running in the browser, we use <code>onnxruntime-web</code> (<code>onnxruntime-node</code> is not bundled).</li>",ie,_,Qe="This module is not directly exported, but can be accessed through the environment variables:",de,y,le,P,et='<li><a href="#module_backends/onnx">backends/onnx</a><ul><li><em>static</em><ul><li><a href="#module_backends/onnx.deviceToExecutionProviders"><code>.deviceToExecutionProviders([device])</code></a> ⇒ <code>*</code></li> <li><a href="#module_backends/onnx.createInferenceSession"><code>.createInferenceSession(buffer, session_options)</code></a> ⇒ <code>*</code></li> <li><a href="#module_backends/onnx.isONNXTensor"><code>.isONNXTensor(x)</code></a> ⇒ <code>boolean</code></li> <li><a href="#module_backends/onnx.isONNXProxy"><code>.isONNXProxy()</code></a> ⇒ <code>boolean</code></li></ul></li> <li><em>inner</em><ul><li><a href="#module_backends/onnx..defaultExecutionProviders"><code>~defaultExecutionProviders</code></a> : <code>*</code></li> <li><a href="#module_backends/onnx..supportedExecutionProviders"><code>~supportedExecutionProviders</code></a> : <code>*</code></li></ul></li></ul></li>',ce,ae,re,N,ue,w,pe,C,tt="Map a device to the execution providers to use for the given device.",xe,H,nt='<strong>Kind</strong>: static method of <a href="#module_backends/onnx"><code>backends/onnx</code></a><br/> <strong>Returns</strong>: <code>*</code> - The execution providers to use for the given device.',fe,M,ot="<thead><tr><th>Param</th><th>Type</th><th>Default</th><th>Description</th></tr></thead> <tbody><tr><td>[device]</td><td><code>*</code></td><td><code></code></td><td><p>(Optional) The device to run the inference on.</p></td></tr></tbody>",me,be,ve,E,he,L,ke,g,st="Create an ONNX inference session.",$e,O,it='<strong>Kind</strong>: static method of <a href="#module_backends/onnx"><code>backends/onnx</code></a><br/> <strong>Returns</strong>: <code>*</code> - The ONNX inference session.',Te,j,dt="<thead><tr><th>Param</th><th>Type</th><th>Description</th></tr></thead> <tbody><tr><td>buffer</td><td><code>Uint8Array</code></td><td><p>The ONNX model buffer.</p></td> </tr><tr><td>session_options</td><td><code>Object</code></td><td><p>ONNX inference session options.</p></td></tr></tbody>",_e,ye,Pe,X,Ne,A,we,R,lt="Check if an object is an ONNX tensor.",Ce,S,ct='<strong>Kind</strong>: static method of <a href="#module_backends/onnx"><code>backends/onnx</code></a><br/> <strong>Returns</strong>: <code>boolean</code> - Whether the object is an ONNX tensor.',He,I,at="<thead><tr><th>Param</th><th>Type</th><th>Description</th></tr></thead> <tbody><tr><td>x</td><td><code>any</code></td><td><p>The object to check</p></td></tr></tbody>",Me,Ee,Le,W,ge,J,Oe,Z,rt="Check if ONNX’s WASM backend is being proxied.",je,K,ut='<strong>Kind</strong>: static method of <a href="#module_backends/onnx"><code>backends/onnx</code></a><br/> <strong>Returns</strong>: <code>boolean</code> - Whether ONNX’s WASM backend is being proxied.',Xe,Ae,Re,U,Se,z,Ie,B,pt='<strong>Kind</strong>: inner property of <a href="#module_backends/onnx"><code>backends/onnx</code></a>',We,Je,Ze,D,Ke,q,Ue,F,xt='<strong>Kind</strong>: inner constant of <a href="#module_backends/onnx"><code>backends/onnx</code></a>',ze,Be,De,Y,qe,Q,Fe;return k=new V({props:{title:"backends/onnx",local:"backendsonnx",headingTag:"h1"}}),y=new Tt({props:{code:"aW1wb3J0JTIwJTdCJTIwZW52JTIwJTdEJTIwZnJvbSUyMCclNDBodWdnaW5nZmFjZSUyRnRyYW5zZm9ybWVycyclM0IlMEFjb25zb2xlLmxvZyhlbnYuYmFja2VuZHMub25ueCklM0I=",highlighted:`<span class="hljs-keyword">import</span> { env } <span class="hljs-keyword">from</span> <span class="hljs-string">&#x27;@huggingface/transformers&#x27;</span>;
<span class="hljs-variable language_">console</span>.<span class="hljs-title function_">log</span>(env.<span class="hljs-property">backends</span>.<span class="hljs-property">onnx</span>);`,wrap:!1}}),w=new V({props:{title:"backends/onnx.deviceToExecutionProviders([device]) ⇒ <code> * </code>",local:"backendsonnxdevicetoexecutionprovidersdevice--code--code",headingTag:"h2"}}),L=new V({props:{title:"backends/onnx.createInferenceSession(buffer, session_options) ⇒ <code> * </code>",local:"backendsonnxcreateinferencesessionbuffer-sessionoptions--code--code",headingTag:"h2"}}),A=new V({props:{title:"backends/onnx.isONNXTensor(x) ⇒ <code> boolean </code>",local:"backendsonnxisonnxtensorx--code-boolean-code",headingTag:"h2"}}),J=new V({props:{title:"backends/onnx.isONNXProxy() ⇒ <code> boolean </code>",local:"backendsonnxisonnxproxy--code-boolean-code",headingTag:"h2"}}),z=new V({props:{title:"backends/onnx~defaultExecutionProviders : <code> * </code>",local:"backendsonnxdefaultexecutionproviders--code--code",headingTag:"h2"}}),q=new V({props:{title:"backends/onnx~supportedExecutionProviders : <code> * </code>",local:"backendsonnxsupportedexecutionproviders--code--code",headingTag:"h2"}}),Y=new _t({props:{source:"https://github.com/xenova/transformers.js/blob/main/docs/source/api/backends/onnx.md"}}),{c(){r=d("meta"),ee=s(),G=d("p"),te=s(),h=d("a"),ne=s(),u(k.$$.fragment),oe=s(),$=d("p"),$.innerHTML=Ve,se=s(),T=d("ul"),T.innerHTML=Ge,ie=s(),_=d("p"),_.textContent=Qe,de=s(),u(y.$$.fragment),le=s(),P=d("ul"),P.innerHTML=et,ce=s(),ae=d("hr"),re=s(),N=d("a"),ue=s(),u(w.$$.fragment),pe=s(),C=d("p"),C.textContent=tt,xe=s(),H=d("p"),H.innerHTML=nt,fe=s(),M=d("table"),M.innerHTML=ot,me=s(),be=d("hr"),ve=s(),E=d("a"),he=s(),u(L.$$.fragment),ke=s(),g=d("p"),g.textContent=st,$e=s(),O=d("p"),O.innerHTML=it,Te=s(),j=d("table"),j.innerHTML=dt,_e=s(),ye=d("hr"),Pe=s(),X=d("a"),Ne=s(),u(A.$$.fragment),we=s(),R=d("p"),R.textContent=lt,Ce=s(),S=d("p"),S.innerHTML=ct,He=s(),I=d("table"),I.innerHTML=at,Me=s(),Ee=d("hr"),Le=s(),W=d("a"),ge=s(),u(J.$$.fragment),Oe=s(),Z=d("p"),Z.textContent=rt,je=s(),K=d("p"),K.innerHTML=ut,Xe=s(),Ae=d("hr"),Re=s(),U=d("a"),Se=s(),u(z.$$.fragment),Ie=s(),B=d("p"),B.innerHTML=pt,We=s(),Je=d("hr"),Ze=s(),D=d("a"),Ke=s(),u(q.$$.fragment),Ue=s(),F=d("p"),F.innerHTML=xt,ze=s(),Be=d("hr"),De=s(),u(Y.$$.fragment),qe=s(),Q=d("p"),this.h()},l(e){const t=kt("svelte-u9bgzb",document.head);r=l(t,"META",{name:!0,content:!0}),t.forEach(n),ee=i(e),G=l(e,"P",{}),p(G).forEach(n),te=i(e),h=l(e,"A",{id:!0,class:!0}),p(h).forEach(n),ne=i(e),x(k.$$.fragment,e),oe=i(e),$=l(e,"P",{"data-svelte-h":!0}),c($)!=="svelte-1nskovu"&&($.innerHTML=Ve),se=i(e),T=l(e,"UL",{"data-svelte-h":!0}),c(T)!=="svelte-1nim9s8"&&(T.innerHTML=Ge),ie=i(e),_=l(e,"P",{"data-svelte-h":!0}),c(_)!=="svelte-m4kxqp"&&(_.textContent=Qe),de=i(e),x(y.$$.fragment,e),le=i(e),P=l(e,"UL",{"data-svelte-h":!0}),c(P)!=="svelte-r7jnqw"&&(P.innerHTML=et),ce=i(e),ae=l(e,"HR",{}),re=i(e),N=l(e,"A",{id:!0,class:!0}),p(N).forEach(n),ue=i(e),x(w.$$.fragment,e),pe=i(e),C=l(e,"P",{"data-svelte-h":!0}),c(C)!=="svelte-g2kkoo"&&(C.textContent=tt),xe=i(e),H=l(e,"P",{"data-svelte-h":!0}),c(H)!=="svelte-hryt3x"&&(H.innerHTML=nt),fe=i(e),M=l(e,"TABLE",{"data-svelte-h":!0}),c(M)!=="svelte-15mkoxu"&&(M.innerHTML=ot),me=i(e),be=l(e,"HR",{}),ve=i(e),E=l(e,"A",{id:!0,class:!0}),p(E).forEach(n),he=i(e),x(L.$$.fragment,e),ke=i(e),g=l(e,"P",{"data-svelte-h":!0}),c(g)!=="svelte-19a590t"&&(g.textContent=st),$e=i(e),O=l(e,"P",{"data-svelte-h":!0}),c(O)!=="svelte-17jc8ku"&&(O.innerHTML=it),Te=i(e),j=l(e,"TABLE",{"data-svelte-h":!0}),c(j)!=="svelte-1xknvln"&&(j.innerHTML=dt),_e=i(e),ye=l(e,"HR",{}),Pe=i(e),X=l(e,"A",{id:!0,class:!0}),p(X).forEach(n),Ne=i(e),x(A.$$.fragment,e),we=i(e),R=l(e,"P",{"data-svelte-h":!0}),c(R)!=="svelte-11755yo"&&(R.textContent=lt),Ce=i(e),S=l(e,"P",{"data-svelte-h":!0}),c(S)!=="svelte-1vudgod"&&(S.innerHTML=ct),He=i(e),I=l(e,"TABLE",{"data-svelte-h":!0}),c(I)!=="svelte-o3zzgy"&&(I.innerHTML=at),Me=i(e),Ee=l(e,"HR",{}),Le=i(e),W=l(e,"A",{id:!0,class:!0}),p(W).forEach(n),ge=i(e),x(J.$$.fragment,e),Oe=i(e),Z=l(e,"P",{"data-svelte-h":!0}),c(Z)!=="svelte-bsb3mu"&&(Z.textContent=rt),je=i(e),K=l(e,"P",{"data-svelte-h":!0}),c(K)!=="svelte-ha6bkx"&&(K.innerHTML=ut),Xe=i(e),Ae=l(e,"HR",{}),Re=i(e),U=l(e,"A",{id:!0,class:!0}),p(U).forEach(n),Se=i(e),x(z.$$.fragment,e),Ie=i(e),B=l(e,"P",{"data-svelte-h":!0}),c(B)!=="svelte-jxwmib"&&(B.innerHTML=pt),We=i(e),Je=l(e,"HR",{}),Ze=i(e),D=l(e,"A",{id:!0,class:!0}),p(D).forEach(n),Ke=i(e),x(q.$$.fragment,e),Ue=i(e),F=l(e,"P",{"data-svelte-h":!0}),c(F)!=="svelte-1djwi16"&&(F.innerHTML=xt),ze=i(e),Be=l(e,"HR",{}),De=i(e),x(Y.$$.fragment,e),qe=i(e),Q=l(e,"P",{}),p(Q).forEach(n),this.h()},h(){a(r,"name","hf:doc:metadata"),a(r,"content",Pt),a(h,"id","module_backends/onnx"),a(h,"class","group"),a(N,"id","module_backends/onnx.deviceToExecutionProviders"),a(N,"class","group"),a(E,"id","module_backends/onnx.createInferenceSession"),a(E,"class","group"),a(X,"id","module_backends/onnx.isONNXTensor"),a(X,"class","group"),a(W,"id","module_backends/onnx.isONNXProxy"),a(W,"class","group"),a(U,"id","module_backends/onnx..defaultExecutionProviders"),a(U,"class","group"),a(D,"id","module_backends/onnx..supportedExecutionProviders"),a(D,"class","group")},m(e,t){$t(document.head,r),o(e,ee,t),o(e,G,t),o(e,te,t),o(e,h,t),o(e,ne,t),f(k,e,t),o(e,oe,t),o(e,$,t),o(e,se,t),o(e,T,t),o(e,ie,t),o(e,_,t),o(e,de,t),f(y,e,t),o(e,le,t),o(e,P,t),o(e,ce,t),o(e,ae,t),o(e,re,t),o(e,N,t),o(e,ue,t),f(w,e,t),o(e,pe,t),o(e,C,t),o(e,xe,t),o(e,H,t),o(e,fe,t),o(e,M,t),o(e,me,t),o(e,be,t),o(e,ve,t),o(e,E,t),o(e,he,t),f(L,e,t),o(e,ke,t),o(e,g,t),o(e,$e,t),o(e,O,t),o(e,Te,t),o(e,j,t),o(e,_e,t),o(e,ye,t),o(e,Pe,t),o(e,X,t),o(e,Ne,t),f(A,e,t),o(e,we,t),o(e,R,t),o(e,Ce,t),o(e,S,t),o(e,He,t),o(e,I,t),o(e,Me,t),o(e,Ee,t),o(e,Le,t),o(e,W,t),o(e,ge,t),f(J,e,t),o(e,Oe,t),o(e,Z,t),o(e,je,t),o(e,K,t),o(e,Xe,t),o(e,Ae,t),o(e,Re,t),o(e,U,t),o(e,Se,t),f(z,e,t),o(e,Ie,t),o(e,B,t),o(e,We,t),o(e,Je,t),o(e,Ze,t),o(e,D,t),o(e,Ke,t),f(q,e,t),o(e,Ue,t),o(e,F,t),o(e,ze,t),o(e,Be,t),o(e,De,t),f(Y,e,t),o(e,qe,t),o(e,Q,t),Fe=!0},p:mt,i(e){Fe||(m(k.$$.fragment,e),m(y.$$.fragment,e),m(w.$$.fragment,e),m(L.$$.fragment,e),m(A.$$.fragment,e),m(J.$$.fragment,e),m(z.$$.fragment,e),m(q.$$.fragment,e),m(Y.$$.fragment,e),Fe=!0)},o(e){b(k.$$.fragment,e),b(y.$$.fragment,e),b(w.$$.fragment,e),b(L.$$.fragment,e),b(A.$$.fragment,e),b(J.$$.fragment,e),b(z.$$.fragment,e),b(q.$$.fragment,e),b(Y.$$.fragment,e),Fe=!1},d(e){e&&(n(ee),n(G),n(te),n(h),n(ne),n(oe),n($),n(se),n(T),n(ie),n(_),n(de),n(le),n(P),n(ce),n(ae),n(re),n(N),n(ue),n(pe),n(C),n(xe),n(H),n(fe),n(M),n(me),n(be),n(ve),n(E),n(he),n(ke),n(g),n($e),n(O),n(Te),n(j),n(_e),n(ye),n(Pe),n(X),n(Ne),n(we),n(R),n(Ce),n(S),n(He),n(I),n(Me),n(Ee),n(Le),n(W),n(ge),n(Oe),n(Z),n(je),n(K),n(Xe),n(Ae),n(Re),n(U),n(Se),n(Ie),n(B),n(We),n(Je),n(Ze),n(D),n(Ke),n(Ue),n(F),n(ze),n(Be),n(De),n(qe),n(Q)),n(r),v(k,e),v(y,e),v(w,e),v(L,e),v(A,e),v(J,e),v(z,e),v(q,e),v(Y,e)}}}const Pt='{"title":"backends/onnx","local":"backendsonnx","sections":[{"title":"backends/onnx.deviceToExecutionProviders([device]) ⇒ <code> * </code>","local":"backendsonnxdevicetoexecutionprovidersdevice--code--code","sections":[],"depth":2},{"title":"backends/onnx.createInferenceSession(buffer, session_options) ⇒ <code> * </code>","local":"backendsonnxcreateinferencesessionbuffer-sessionoptions--code--code","sections":[],"depth":2},{"title":"backends/onnx.isONNXTensor(x) ⇒ <code> boolean </code>","local":"backendsonnxisonnxtensorx--code-boolean-code","sections":[],"depth":2},{"title":"backends/onnx.isONNXProxy() ⇒ <code> boolean </code>","local":"backendsonnxisonnxproxy--code-boolean-code","sections":[],"depth":2},{"title":"backends/onnx~defaultExecutionProviders : <code> * </code>","local":"backendsonnxdefaultexecutionproviders--code--code","sections":[],"depth":2},{"title":"backends/onnx~supportedExecutionProviders : <code> * </code>","local":"backendsonnxsupportedexecutionproviders--code--code","sections":[],"depth":2}],"depth":1}';function Nt(Ye){return bt(()=>{new URLSearchParams(window.location.search).get("fw")}),[]}class Et extends vt{constructor(r){super(),ht(this,r,Nt,yt,ft,{})}}export{Et as component};
